@echo off

REM ------ vars.txt ------------------------------
if not exist vars.txt (
	echo Error: 'vars.txt' not found.
	pause
	exit
)
ren vars.txt *.bat
call vars.bat
ren vars.bat *.txt
cls
prompt $N:$G
REM ----------------------------------------------
SET MYSQLCMD="%mysqlPath%" --default-character-set=utf8 -h %gshost% -u %gsuser% --password=%gspass% -D %gsdb%
@REM ----------------------------------------------
@ECHO ON

%MYSQLCMD% < ..\my_addon\gm_shop\gm_shop.SQL
%MYSQLCMD% < ..\my_addon\gm_shop\gm_shop_plus.SQL

@REM ----------------------------------------------

PUSHD ..
CALL events_ChristmasTree_SETUP.bat
CALL events_FreyaCelebration_SETUP.bat
CALL events_GiftOfVitality_SETUP.bat
CALL events_HeartPiece_SETUP.bat
CALL events_HeavyMedal_SETUP.bat
CALL events_LetterPiece_SETUP.bat
CALL events_LoveYourGatekeeper_SETUP.bat
CALL events_MasterOfEnchanting_SETUP.bat
CALL events_SquashEvent_SETUP.bat
CALL events_TheValentineEvent_SETUP.bat
CALL events_Watermelon_SETUP.bat
POPD

@ECHO OFF

:end
echo.
echo Script complete.
pause
